> For the complete documentation index, see [llms.txt](https://docs.tryterra.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tryterra.co/changelog/2023/2023-02-07.md).

# February 7, 2023

## 2023-02-07

## Data

* Oura scores now added to Daily payloads. Readiness is mapped as "Recovery"
* Improvements in `adjusted_max_speed` calculation

## Other

* HTTP-W requests to Garmin will now send an empty data payload, if no data is asyncronously sent from Garmin after a few minutes
* Requests to webhook generated from SDK will now return reference in the SDK and the same reference will be sent as a `terra-reference` header in the corresponding webhook

## API

* Google daily http requests for less than a day will now be extended appropriately instead of erroring
* Chunking `request_processing` payloads will be sent synchronously
* Apple sleep payloads now have additional sleep metric calculations on V1 ( `total_duration_inbed`, `total_duration_asleep`, `total_duration_awake`, `total_duration_light`, `total_duration_deep`, `total_duration_rem`)
* Resolved edge case issues in fetching hrv data for fitbit sleep
* Stopped sending empty Withings payloads when daily had an update but the user had not performed any new workouts


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tryterra.co/changelog/2023/2023-02-07.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
